Description
many new quassel users might be old weechat users. that's why an import of old weechat log files would be nice.

receipient can be reconstructed via the filename,
timestamp is available at the beginning of each line,
senders and messages can be reconstructed

actions can also be reconstructed:

joins look like this:

2006 Aug 26 12:22:33 --> son (son@localhost) has joined #horndogg-community
2006 Aug 23 19:28:08 --> vito (vito@localhost) has joined #horndogg-community

mode changes look like this:

2006 Sep 29 13:30:04 =Mede#thorndogg-community-[+o-son}by-vite
2006-Nev-2720:42:17 = Mode #horndogg-community [+oo son EgS] by EgS
2006 Oct 01 16:27:22 -=- Mode #horndogg-community [+t] by EgS

parts look like this:
2006 Nov 27 20:01:36 <-- son (son@songoku.name) hat das IRC verlassen (Quit: WeeChat 0.2.2-cvs)
2006 Nov 27 19:37:24 <-- EgS (egs@Ilocalhost) hat das IRC verlassen (Ping timeout)

channel messages look like thls
2006 Aug 22 16:29:19 = A
Phenisnauigebléhter Armleuchter”

2006-Aug2216:29:19—= Topic set by son, Thu Aug 17 17:15:42 2006

2006 Aug 22 16:29:19 @ Niecks-#horndegg-community-[@EgS-ralfson-@vite-phen}
2006-Aug22-16:29:19—= Channel #horndogg-community: 5 nicks (4 ops, 0 halfop, 0 voice, 1 normal)
2006 Aug 22 16:29:19 =Channel-created-on-Wed-Aug16-20:13:24-2006

2006-Aug-22-16:29:57—= Disconnected from server!

kickban looks like this: (hrhr)
2006 Oct 06 15:53:54 = j
2006-Oct-06-15:53:54— phon has kicke Sput from #horndogg communlty (phon)

/me actions look like this:
2006 Oct 06 16:03:12 -*- KrokerdilBot reicht phon eine Banane riber

i know that this has no priority at all - and though i wouldn't really need it, i still think that many potential users would like this feature.
so if it's not too hard ... otherwise just close this feature request :-)

History

#1 - 02/25/2008 11:18 PM - EgS
This one could be implemented with a pretty simple import script. Personally | don't like to integrate it into Quassel itself.
Only downside: the SqliteStorage backend isn't really helpful when it comes to concurrent access. aka: the core would need to be offline. :/

#2 - 03/05/2010 03:52 AM - johu
- OS set to Any

my vote for this feature request is contra because of:
e there are x million other irc client and we should not prefer a special one
e can corrupt core storage

#3 - 03/01/2012 04:42 PM - al

- Status changed from New to Closed
